-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local LicenseServiceInterface = require 'mdb.bmc.kepler.LicenseServiceInterface'

local childs = {}
local LicenseService = {childs = childs}

local Mdb = require 'mc.mdb'

local TLicenseService = Mdb.register_object('/bmc/kepler/LicenseService', {
    {name = 'LicenseService', interface = LicenseServiceInterface.LicenseService}
})
LicenseService.LicenseService = TLicenseService

function TLicenseService:ctor()
    self.path = '/bmc/kepler/LicenseService'
end

return LicenseService
